# [![CouchCMS](https://www.couchcms.com/img/logo.png "CouchCMS")](https://www.couchcms.com/)
### A simple open-source CMS for designers.

##### No knowledge of PHP required at all.
Take any HTML/CSS template and make it CMS enabled in minutes. Just drop in a few special XHTML tags into your code and watch your static web pages come to life!

![CouchCMS](https://www.couchcms.com/img/intro-bg.png "CouchCMS")

#### Salient Features
* **Editable Regions**: Simply by surrounding areas in your HTML code by some special tags you can make them editable by your clients.
* **Cloned Pages**: Create cloned pages out of any plain HTML/CSS template. Easily create blogs, portfolios, galleries, events etc. using these.
* **Comments**: Allow visitors to leave their comments on any of the pages. You can moderate the comments before publishing them.
* **Listing of Cloned Pages**: Easily show a listing of cloned pages based on several parameters like date, most commented or any of the editable regions defined by you.
* **SEO Friendly Links**: Place your cloned pages within nestable virtual folders. The names of these folders appear in the URL creating super SEO friendly links.
* **Auto-validating Forms**: Create self-validating forms with the greatest of ease. Integrate Google maps with forms using a simple tag.
* **Events Calendar**: Rapidly create calendar events and list them any way you like. Integrate Google maps with the events.
* **Search**: Define which pages will be included in the search. Format the result of searches any way you like.
* **RSS Feeds**: Easily create customized RSS feeds from any/all section(s) of your website so readers can subscribe to your content.
* **Custom 404 / Site Offline Pages**: Show your own custom page when a 404 error (page not found) occurs or when you have set your site to be offline.
* **Simple PayPal Integration**: Easily sell digital goods while letting Couch handle PayPal IPN and all other back-end technicalities for you.
* **URL Cloaking**: Offering a file for download but do not wish the users to know its real storage location? Use Couch's URL cloaking feature to handle this.

#### And the best part is&hellip;
None of the above listed features will require you to write even a single line of PHP. As a web-designer or front-end coder, we want you to concentrate on what you do best - design and create HTML/CSS code. Leave the rest to Couch.


#### Getting Started
To demonstrate the power and ease of Couch, we'll build a complete real world site from scratch using it. You can find the detailed tutorial along with the required files [here](http://docs.couchcms.com/tutorials/portfolio-site.html). Once you are familiar with how CouchCMS works, you can also check out the advanced tutorial [here](https://www.couchcms.com/docs/advanced-tutorial/) which demonstrates many of the more advanced features.

#### License
1. **Open Source License**: CouchCMS is licensed under [Common Public Attribution License 1.0](https://opensource.org/licenses/cpal_1.0). "Human-readable" version of CPAL would read like this:
  * This software is open source and can be freely used, modified, and distributed.
  * This software can be used for **commercial purposes**.
  * Attribution to the authorship of this software in the source code files **cannot be waived under any circumstances**.

2. **Alternate Commercial License**: Alternatively, CouchCMS may be used under a commercial license. Buying a commercial license permits you to:
  * Replace CouchCMS logo and copyright information from the back-end with your own, effectively **100% white-labeling** the software.
  * One month of **unlimited premium support**.

 Attribution to the authorship of this software in the source code files **cannot be waived under any circumstances**.

More details regarding Licensing and FAQ can be found [here](https://www.couchcms.com/products/).

#### Documentation
You can view the documentation online [here](http://docs.couchcms.com/), or instead you can download a zip containing the information [here](https://github.com/CouchCMS/Documentation/archive/gh-pages.zip). The [CouchCMS forum](https://www.couchcms.com/forum/) is also a great place to learn new things and request assistance.
